Next Generation Emulation banner

1 - 11 of 11 Posts

·
Registered
Joined
·
344 Posts
Discussion Starter #1
Hey y'all, believe it or not, a new version is about to be released. We need some people who are on win32 and Mac who are willing and able to build Virtual Jaguar from source. If you fit the description, please post in this thread!

Thanks! :thumb:
 

·
Registered
Joined
·
34 Posts
I'm on Snow Leopard 10.6.8 and would be happy to offer Mac compiles. I am planning to upgrade to Lion next month, so I can help test compile problems that may arise. I'm not much of a developer though, so I won't be able to fix any issues I'd run in to on my own.

EDIT:


Just wanted to note that I compile many other emulators myself, so I'm familiar with the process. Just let me know the dependencies.
 

·
Registered
Joined
·
34 Posts
I just tried to compile from here

https://shamusworld.gotdns.org/svn/virtualjaguar/branches/qt-experimental/

It fails saying my CPU doesn't support x86-64. I have a 2011 Macbook Pro with a Core i7 (Sandy Bridge).

Code:
-en    LIBCDIO... 
-en    SDL... 
-en    ZLIB... 
-en    OpenGL... 
-e NOT FOUND
-e *** Checking compilation environment: 


-en    Qt... 

-e *** Building Virtual Jaguar for Mac OS X...
-e It seems that you don't have LIBCDIO installed. Since this is not fatal,
-e *** Preparing to make the Musashi core...
-e *** Compiling src/m68kdasm.c...
-e *** Compiling src/gui/about.cpp...

-e *** Compiling src/gui/app.cpp...
-e Virtual Jaguar will be built WITHOUT CD support.

-e *** Compiling src/gui/configdialog.cpp...
-e *** Creating obj/moc_configdialog.cpp...
-e *** Compiling src/gui/generaltab.cpp...
src/gui/configdialog.cpp:1: error: CPU you selected does not support x86-64 instruction setsrc/gui/generaltab.cpp:1: error: CPU you selected does not support x86-64 instruction setsrc/gui/about.cpp:1: error: CPU you selected does not support x86-64 instruction set
src/gui/app.cpp:1: error: CPU you selected does not support x86-64 instruction set


src/gui/configdialog.cpp:1: error: CPU you selected does not support x86-64 instruction setsrc/gui/about.cpp:1: error: CPU you selected does not support x86-64 instruction setsrc/gui/generaltab.cpp:1: error: CPU you selected does not support x86-64 instruction set
src/gui/app.cpp:1: error: CPU you selected does not support x86-64 instruction set


make: *** [obj/generaltab.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [obj/app.o] Error 1
make: *** [obj/configdialog.o] Error 1
make: *** [obj/about.o] Error 1

EDIT: (Also posted on the thread at the other forum)

If I use 'make' instead of 'make -j6', it shows the error actually coming from about.cpp.

Code:
src/gui/about.cpp:1: error: CPU you selected does not support x86-64 instruction set
 

·
Registered
Joined
·
92 Posts
hey Shamus, it's good to hear that vj 2.0.0 is on it's way.

I would love to build Win32 Vj but until the guys and gals at mingw32 fix that little problem with libiconv we encountered a few months back, I just can't help :(

I have been poking around to see what the problem is and many people are aware of it but I just can't find a solution as of yet.

I'll keep digging though :D

Just wanted to say nice work getting 2.0.0 out there, hopefully I'll suss this damned iconv/cdio problem soon....hopefully....
 

·
Registered
Joined
·
344 Posts
Discussion Starter #6
Hey, it's OK, I think we've got someone to build for win32. You can check it out over in the Jaguar forums on Atari Age. :thumb:
 

·
Registered
Joined
·
92 Posts
Hang on, I'm confused here......


Jagulator = Virtual Jaguar ?

And if so, who is the "author" of Jagulator ?


I now have a headache....

and, come one you can tell me, he's using your code right? But an older version I would say, what with the fast speed and no audio. Or has he just disabled the pipelined DSP ?

Seems a hell of a coincidence that Jagualtor 2.0.0 comes out at the same time as VJ 2.0.0...lol
 

·
Registered
Joined
·
34 Posts
Hang on, I'm confused here......


Jagulator = Virtual Jaguar ?

And if so, who is the "author" of Jagulator ?


I now have a headache....
No, they are different emulators. There is a Virtual Jaguar thread on Atari Age. Not sure if links to other forums are allowed here, so I'm not going to link until I know for sure.
 

·
Registered
Joined
·
92 Posts
Ye, browsing my way through there now....

If I could get iconv and libcdio to build on here I would build and distribute the binary for Win32...bloody things won't build though :(
 

·
Registered
Joined
·
92 Posts
hmm, can't get VJ r350 to find any of my roms no matter what I do.

Thinking about it, what would be nice is to be able to "drag 'n drop" a rom into the VJ window and have it run.

It's an idea....just sayin' :p

PS: Have registered on Atari Age now, but have to wait before I can post anything otherwise this would have gone in there :D
 

·
Registered
Joined
·
92 Posts
Never mind sorted, has to be in the VJ fodler and not the software folder no matter what seeings you change...should have read that 1st really....:p
 
1 - 11 of 11 Posts
Top